package com.fjhx.wms.entity.quality;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
@Getter
@Setter
@TableName("quality_info")
public class QualityInfoPo extends BasePo {

    /**
     * 1采购到货质检 2京东退货质检
     */
    private Integer type;

    /**
     * 质检单号
     */
    private String code;

    /**
     * 业务id(采购待入库id)
     */
    private Long bussinessId;

    /**
     * 业务编码
     */
    private String bussinessCode;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 采购单id
     */
    private Long purchaseId;

    /**
     * 采购单号
     */
    private String purchaseCode;

    /**
     * 状态 1未质检 2部分质检 3已质检
     */
    private Integer status;

    /**
     * 质检结果 1合格 0不合格
     */
    private Integer resultType;

}
